<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019b616f-389b-7585-8d4d-0eb45b15b908,g:52e58e33-06b5-4212-a72b-89d2c7eaba63-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities_label_fi" xlink:label="lab_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Osuuspääoman vähennykset</link:label>
    <link:label id="lab_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities_documentation_fi" xlink:label="lab_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Decrease In Cooperative And Profit Share Capital Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:to="lab_op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_LoansAndAdvancesToBanksOnDemand_label_fi" xlink:label="lab_op_LoansAndAdvancesToBanksOnDemand" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Vaadittaessa maksettavat saamiset luottolaitoksilta</link:label>
    <link:label id="lab_op_LoansAndAdvancesToBanksOnDemand_documentation_fi" xlink:label="lab_op_LoansAndAdvancesToBanksOnDemand" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Loans And Advances To Banks On Demand</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_LoansAndAdvancesToBanksOnDemand" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_LoansAndAdvancesToBanksOnDemand"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_LoansAndAdvancesToBanksOnDemand" xlink:to="lab_op_LoansAndAdvancesToBanksOnDemand" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome_label_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitusomaisuus</link:label>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome_documentation_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Decrease Increase In Investment Property Investment Accounted For Using Equity Method Financial Assets Through Profit Or Loss Financial Assets Through Other Comprehensive Income</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" xlink:to="lab_op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" xlink:type="arc" order="1"/>
    <link:label id="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss_019b616f-3948-71b9-aa11-f781cae3f402_totalLabel_fi" xlink:label="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Vakuutuksen nettorahoitustuotot (+)/-kulut (-)</link:label>
    <link:label id="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss_label_fi" xlink:label="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Finance Income Expenses From Insurance And Reinsurance Contracts Held Recognised In Profit Or Loss</link:label>
    <link:label id="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss_documentation_fi" xlink:label="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Finance Income Expenses From Insurance And Reinsurance Contracts Held Recognised In Profit Or Loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" xlink:to="lab_op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_op_InterestPaidClassifiedAsCashFlow_label_fi" xlink:label="lab_op_InterestPaidClassifiedAsCashFlow" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Maksetut korot</link:label>
    <link:label id="lab_op_InterestPaidClassifiedAsCashFlow_documentation_fi" xlink:label="lab_op_InterestPaidClassifiedAsCashFlow" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Interest Paid Classified As Cash Flow</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_InterestPaidClassifiedAsCashFlow" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_InterestPaidClassifiedAsCashFlow"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_InterestPaidClassifiedAsCashFlow" xlink:to="lab_op_InterestPaidClassifiedAsCashFlow" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b616f-3948-7c98-baa2-4d96f763f55f_totalLabel_fi" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Rahoituksesta saadut (tai rahoituksessa käytetyt) rahavirrat</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b616f-3948-72f9-a6be-4e7497074de0_totalLabel_fi" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Investoinneista saadut (tai investointeihin käytetyt) rahavirrat</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities_019b616f-3948-75a1-ab12-03580c4dd483_totalLabel_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Liiketoiminnan velkojen lisäys (+) tai vähennys (-)</link:label>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities_label_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Adjustments For Increase Decrease In Liabilities</link:label>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities_documentation_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Increase Decrease In Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForIncreaseDecreaseInLiabilities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForIncreaseDecreaseInLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForIncreaseDecreaseInLiabilities" xlink:to="lab_op_AdjustmentsForIncreaseDecreaseInLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities_label_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Vakuutussopimusvelat</link:label>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities_documentation_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Increase Decrease In Insurance Contract Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" xlink:to="lab_op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_IssuedCapitalProfitShares_label_fi" xlink:label="lab_op_IssuedCapitalProfitShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Tuotto-osuudet</link:label>
    <link:label id="lab_op_IssuedCapitalProfitShares_documentation_fi" xlink:label="lab_op_IssuedCapitalProfitShares" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Issued Capital Profit Shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_IssuedCapitalProfitShares" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_IssuedCapitalProfitShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_IssuedCapitalProfitShares" xlink:to="lab_op_IssuedCapitalProfitShares" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract_label_fi" xlink:label="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitussopimusten arvon muutos</link:label>
    <link:label id="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract_documentation_fi" xlink:label="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments for gains (losses) on fair value adjustment investment contract</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" xlink:to="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" xlink:type="arc" order="1"/>
    <link:label id="lab_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss_label_fi" xlink:label="lab_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Kaupankäyntitarkoituksessa pidettävien rahoitusvarojen nettotuotot</link:label>
    <link:label id="lab_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss_documentation_fi" xlink:label="lab_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Gains Losses On Financial Assets At Fair Value Through Profit Or Loss Classified As Held For Trading And Gains Losses On Financial Liabilities At Fair Value Through Profit Or Loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:to="lab_op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_label_fi" xlink:label="lab_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Varaukset ja muut velat</link:label>
    <link:label id="lab_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_documentation_fi" xlink:label="lab_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Provisions And Adjustments For Increase Decrease In Other Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:to="lab_op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInAssets_019b616f-3948-7711-af0b-a1bc41511ec1_totalLabel_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInAssets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Liiketoiminnan varojen lisäys (-) tai vähennys (+)</link:label>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInAssets_label_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Adjustments For Decrease Increase In Assets</link:label>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInAssets_documentation_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Decrease Increase In Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForDecreaseIncreaseInAssets" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForDecreaseIncreaseInAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForDecreaseIncreaseInAssets" xlink:to="lab_op_AdjustmentsForDecreaseIncreaseInAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_op_ProvisionsAndOtherLiabilities_label_fi" xlink:label="lab_op_ProvisionsAndOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Varaukset ja muut velat</link:label>
    <link:label id="lab_op_ProvisionsAndOtherLiabilities_documentation_fi" xlink:label="lab_op_ProvisionsAndOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Provisions And Other Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_ProvisionsAndOtherLiabilities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_ProvisionsAndOtherLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_ProvisionsAndOtherLiabilities" xlink:to="lab_op_ProvisionsAndOtherLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities_label_fi" xlink:label="lab_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Maksetut osingot ja osuuspääoman korot</link:label>
    <link:label id="lab_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities_documentation_fi" xlink:label="lab_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Dividends Paid And Capital Distribution Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" xlink:to="lab_op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_DividendsPaidAndCapitalDistribution_label_fi" xlink:label="lab_op_DividendsPaidAndCapitalDistribution" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Voitonjako</link:label>
    <link:label id="lab_op_DividendsPaidAndCapitalDistribution_documentation_fi" xlink:label="lab_op_DividendsPaidAndCapitalDistribution" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Dividends Paid And Capital Distribution</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_DividendsPaidAndCapitalDistribution" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_DividendsPaidAndCapitalDistribution"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_DividendsPaidAndCapitalDistribution" xlink:to="lab_op_DividendsPaidAndCapitalDistribution" xlink:type="arc" order="1"/>
    <link:label id="lab_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities_label_fi" xlink:label="lab_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Osuuspääoman lisäykset</link:label>
    <link:label id="lab_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities_documentation_fi" xlink:label="lab_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Increase In Cooperative And Profit Share Capital Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:to="lab_op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b616f-3948-77c4-8085-4c45fe7167f2_totalLabel_fi" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Liiketoiminnasta saadut (tai liiketoiminnassa käytetyt) rahavirrat</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments_label_fi" xlink:label="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Rahoitusinstrumenttien arvon muutokset</link:label>
    <link:label id="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments_documentation_fi" xlink:label="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments for gains (losses) on fair value adjustment financial instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" xlink:to="lab_op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_op_InterestReceivedClassifiedAsCashFlow_label_fi" xlink:label="lab_op_InterestReceivedClassifiedAsCashFlow" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Saadut korot</link:label>
    <link:label id="lab_op_InterestReceivedClassifiedAsCashFlow_documentation_fi" xlink:label="lab_op_InterestReceivedClassifiedAsCashFlow" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Interest Received Classified As Cash Flow</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_InterestReceivedClassifiedAsCashFlow" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_InterestReceivedClassifiedAsCashFlow"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_InterestReceivedClassifiedAsCashFlow" xlink:to="lab_op_InterestReceivedClassifiedAsCashFlow" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_019b616f-3948-73db-a78f-f5d172b866c4_totalLabel_fi" xlink:label="lab_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Voiton (tai tappion) täsmäyttämiseksi tehtävät oikaisut, lukuun ottamatta käyttöpääoman muutoksia</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:to="lab_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OperatingExpense_019b616f-3948-7252-9102-585a5ad91239_totalLabel_fi" xlink:label="lab_ifrs-full_OperatingExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Liiketoiminnan kulut</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OperatingExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OperatingExpense" xlink:to="lab_ifrs-full_OperatingExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult_label_fi" xlink:label="lab_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Amounts Removed From Operating Expenses And Adjusted Insurance Service Result</link:label>
    <link:label id="lab_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult_documentation_fi" xlink:label="lab_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Amounts Removed From Operating Expenses And Adjusted Insurance Service Result</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" xlink:to="lab_op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" xlink:type="arc" order="1"/>
    <link:label id="lab_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares_label_fi" xlink:label="lab_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Jäsen- ja tuotto-osuuksien muutokset</link:label>
    <link:label id="lab_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares_documentation_fi" xlink:label="lab_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Increase Decrease Through Changes In Cooperative And Profit Shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" xlink:to="lab_op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities_label_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Jälleenvakuutussopimusvelat</link:label>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities_documentation_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Increase Decrease In Reinsurance Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" xlink:to="lab_op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets_label_fi" xlink:label="lab_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitusomaisuus</link:label>
    <link:label id="lab_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets_documentation_fi" xlink:label="lab_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Investment Property Investment Accounted For Using Equity Method Financial Assets At Fair ValueThrough Profit Or Loss Financial Assets Through Other Comprehensive Income And Financial Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" xlink:to="lab_op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestRevenueExpense_019b616f-3948-738a-a60c-7df5cd2f4462_totalLabel_fi" xlink:label="lab_ifrs-full_InterestRevenueExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Korkotuotot (tai -kulut)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestRevenueExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestRevenueExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestRevenueExpense" xlink:to="lab_ifrs-full_InterestRevenueExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued_label_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Sijoitussidonnaisten sopimusten katteena olevat varat</link:label>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued_documentation_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Decrease (Increase) In Assets Under Insurance Contracts and Reinsurance Contracts Issued</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" xlink:to="lab_op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" xlink:type="arc" order="1"/>
    <link:label id="lab_op_IncreaseDecreaseThroughOtherChangesEquity_label_fi" xlink:label="lab_op_IncreaseDecreaseThroughOtherChangesEquity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Muut</link:label>
    <link:label id="lab_op_IncreaseDecreaseThroughOtherChangesEquity_documentation_fi" xlink:label="lab_op_IncreaseDecreaseThroughOtherChangesEquity" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Increase Decrease Through Other Changes Equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_IncreaseDecreaseThroughOtherChangesEquity" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_IncreaseDecreaseThroughOtherChangesEquity"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_IncreaseDecreaseThroughOtherChangesEquity" xlink:to="lab_op_IncreaseDecreaseThroughOtherChangesEquity" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FeeAndCommissionIncomeExpense_019b616f-3948-7c7b-baad-bd0a66746edd_totalLabel_fi" xlink:label="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Palkkiotuotot (tai -kulut)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FeeAndCommissionIncomeExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities_label_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Velat sijoitussopimuksista</link:label>
    <link:label id="lab_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities_documentation_fi" xlink:label="lab_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Increase Decrease In Investment Contracts Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" xlink:to="lab_op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_op_IssuedCapitalCooperativeShares_label_fi" xlink:label="lab_op_IssuedCapitalCooperativeShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Jäsenosuudet</link:label>
    <link:label id="lab_op_IssuedCapitalCooperativeShares_documentation_fi" xlink:label="lab_op_IssuedCapitalCooperativeShares" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Issued Capital Cooperative Shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_IssuedCapitalCooperativeShares" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_IssuedCapitalCooperativeShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_IssuedCapitalCooperativeShares" xlink:to="lab_op_IssuedCapitalCooperativeShares" xlink:type="arc" order="1"/>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets_label_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="fi">Jälleenvakuutussopimusvarat</link:label>
    <link:label id="lab_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets_documentation_fi" xlink:label="lab_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="fi">Adjustments For Decrease Increase In Reinsurance Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets" xlink:href="7437003B5WFBOIEFY714-2025-12-31.xsd#op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets" xlink:to="lab_op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019b616f-3948-7f2a-a2c2-a0c5c080bdf8_totalLabel_fi" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="fi">Rahavarojen lisäys (tai vähennys) ennen valuuttakurssien muutosten vaikutusta</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
